The Referral resource represents a request from one healthcare provider to another for a patient to receive specific healthcare services
The resource includes details about the referring provider, the receiving provider (if any), the patient, referral date, expiry date, and any monetary or appointment limits. This resource is essential for tracking referral usage and coordinating patient care.
ContextIn Halaxy, referrals are added to a claim in the Funding tab in the patient's profile. See: Guide to referrals
Endpoints
| Endpoint | Function | Description |
|---|---|---|
GET /main/Referral | List Referrals | Retrieves a list or collection of referral records of patients in a practice group |
GET /main/Referral/{id} | Get Referral | Retrieves an individual patient referral record of in a practice group |
POST /main/Referral | Create Referral | Creates a referral records for a patient |
PATCH /main/Referral/{id} | Update Referral | Updates specific fields in an existing referral |
Schema
| Property | Description |
|---|---|
| id | stringThe identifier of this referral record |
| coverage |
The claim details where this referral is or will be filed under. This refers to the patient's high-level identifiers for their health fund eligibility - such as membership card details.
See also: Coverage |
| period | The period when the referral is valid start |
| performer |
|
| requester |
|
| referralDefinition |
See article: Guide to referral types |
| created | date-timeThe date and time when the referral record was created |
| active | booleanIndicates if this referral is an active and valid referral |
| limitQuantity | quantity quantityOffset (In Halaxy, this is the amount set in Add Prior Appointments / Hours / Minutes) quantityUsed |
| limitMoney | amount amountUsed allocationType |
| subject |
See also: Patient |
| includeCancelledAppointment |
If If |
| comment | stringAny notes to add to the referral |
| expiryType |
Type of referral expiry |
| attachments |
contentType Supported formats: data required title |
